Subject: RXVT and COM2
From: [email-masked] (Byungsoo Jung)

16 Nov 1997 08:18:24 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Hi,

 I have two old question.

 1. I realized already to get 'rxvt' in X client packages.
    Today, I executed rxvt with the environment 
    set CYGWIW_TTY = 1
    set CYGWIN_TITLE = 1
 
   But, the rxvt didn't get the keboard input.
   What's the problem? 
   Please help me.

 2. Question on COM2 port
   I saw the article on COM2 port access in mailing list archive.
   Thus, I tried to test it. But, still this code cannot work well.

==================== This is a code =====================================
#include <stdio.h>
#include <windows.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <termios.h>

int main()
{

FILE *fd, *comfd;

printf("Test COM2 port.\n\n");

if ((fd = fopen("com2", "rw")) <= 0) {
comfd = fileno(fd);
fprintf(stderr, "Cmd: Unable to open terminal\n");
exit(1);
} else {
fprintf(stdout,"Well Work\n");
fprintf(comfd,"atdt 2792540\r");
}

fclose (fd);
fclose (comfd);
}

==================== The end of code =====================================

Please, let me know what's the problem.

Thanks in advance.

/BSJUNG

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".